Eclipse BIRT Report Object Model (ROM)

AutoText Element

# Element Overview

Describes the page number of the report.

### Details

Display Name: | AutoText
Since: | 2.1
XML Element: | `auto-text`
Extends: | ReportItem
Extendable: | Yes
Abstract: | No
Name Space: | Report Items
Name Requirement: | Optional
Allows User Properties: | Yes
Has Style: | Yes
Default Style: | None

### Property Summary

pageVariable
type
  The display type of the auto text.

### Method Summary

onCreate
onPageBreak
onPrepare
onRender

### Inherited Properties

ACLExpression, allowExport, bookmark, bookmarkDisplayName, boundDataColumns, cascadeACL, comments, cube, customXml, dataBindingRef, dataSet, displayName, displayNameID, eventHandlerClass, extends, height, multiViews, name, newHandlerOnEachEvent, paramBindings, propertyMasks, pushDown, refTemplateParameter, style, toc, userProperties, viewAction, visibility, width, x, y, zIndex

### Style Properties

backgroundAttachment, backgroundColor, backgroundImage, backgroundPositionX, backgroundPositionY, backgroundRepeat, bidiTextDirection, borderBottomColor, borderBottomStyle, borderBottomWidth, borderLeftColor, borderLeftStyle, borderLeftWidth, borderRightColor, borderRightStyle, borderRightWidth, borderTopColor, borderTopStyle, borderTopWidth, canShrink, color, display, fontFamily, fontSize, fontStyle, fontVariant, fontWeight, highlightRules, letterSpacing, lineHeight, marginBottom, marginLeft, marginRight, marginTop, masterPage, numberFormat, paddingBottom, paddingLeft, paddingRight, paddingTop, pageBreakAfter, pageBreakBefore, pageBreakInside, showIfBlank, textAlign, textLineThrough, textOverline, textTransform, textUnderline, verticalAlign, whiteSpace, wordSpacing

### Description

The autotext item can define page number or total page of the report.

The developer defines pages to aid in report layout. Each autotext can show one of followings:

- pageNumber: the current page number.
- totalPage: the count of pages in the report.

# Property Detail

## pageVariable Property

### Details

Type: | string
Since: | 2.5
Required: | No
Display Name: | Page variable
JavaScript Type: |
Default Value: | None
Inherited: | Yes
Runtime Settable: | No
Property Sheet Visibility: | Visible
Property Sheet Group: | Top

## type Property

The display type of the auto text.

### Details

Type: | choice (autoTextType)
Since: | 2.1
Required: | No
Display Name: | Type of autotext
JavaScript Type: |
Default Value: | None
Inherited: | Yes
Runtime Settable: | Yes
Property Sheet Visibility: | Visible
Property Sheet Group: | Top

### Choices

Name | Display Name | Value | Description
page-number | Page Number | page-number | the current number of the page.
total-page | Total Page | total-page | the count of report pages.
page-number-unfiltered | Page Number unfiltered | page-number-unfiltered |
total-page-unfiltered | Total Page unfiltered | total-page-unfiltered |
page-variable | Page Variable | page-variable |

### Description

An autotext item can show either the current page number or the page count in the report.

# Method Detail

## onCreate Method

### Synopsis

`None obj.onCreate( )`

### Details

Since: | 2.2
Context: | factory
Arguments: | None
Return Type: | None

## onPageBreak Method

### Synopsis

`None obj.onPageBreak( )`

### Details

Since: | 2.2
Context: | presentation
Arguments: | None
Return Type: | None

## onPrepare Method

### Synopsis

`None obj.onPrepare( )`

### Details

Since: | 2.2
Context: | startup
Arguments: | None
Return Type: | None

## onRender Method

### Synopsis

`None obj.onRender( )`

### Details

Since: | 2.2
Context: | presentation
Arguments: | None
Return Type: | None